Plank.HideManager – plank Reference Manual

# HideManager

## Object Hierarchy:

## Description:

public class HideManager : Object

Handles checking if a dock should hide or not.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public DockController controller { construct; }
- public bool Hidden { get; }
  If the dock is currently hidden.
- public bool Disabled { get; }
  If hiding the dock is currently disabled
- public bool Hovered { get; }
  If the dock is currently hovered by the mouse cursor.

### Creation methods:

- public HideManager (DockController controller)
  Creates a new instance of a HideManager, which handles checking if a dock should hide or not.

### Methods:

- public void initialize ()
  Initializes the hide manager. Call after the DockWindow is constructed.
- public void update_hovered ()
  Checks to see if the dock is being hovered by the mouse cursor.
- public void update_hovered_with_coords (int x, int y)
  Checks to see if the dock is being hovered by the mouse cursor.
- public void update_barrier ()

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- weak_ref
- weak_unref
- notify
- ref_count